package io.trustbuilder.mfa.android.demoapp.screen.selfcare;

import io.trustbuilder.mfa.lib.definition.SecureTokenDTO;
import io.trustbuilder.mfa.lib.usecase.definition.CredentialProvider;
import io.trustbuilder.mfa.lib.usecase.definition.inappauthentication.InAppAuthentication;

public class SelfCareAuthorizeResponse {
    private SecureTokenDTO secureToken;
    private CredentialProvider credentialProvider;
    private InAppAuthentication inAppAuthentication;

    public SelfCareAuthorizeResponse(SecureTokenDTO secureToken, CredentialProvider credentialProvider, InAppAuthentication inAppAuthentication) {
        this.secureToken = secureToken;
        this.credentialProvider = credentialProvider;
        this.inAppAuthentication = inAppAuthentication;
    }

    public SecureTokenDTO getSecureToken() {
        return secureToken;
    }

    public CredentialProvider getCredentialProvider() {
        return credentialProvider;
    }

    public InAppAuthentication getInAppAuthentication() {
        return inAppAuthentication;
    }


}
